Verify
curl --request POST \
--url https://api.superdoc.dev/v1/verify \
--header 'Content-Type: application/json' \
--data '{
"document": {}
}'import requests
url = "https://api.superdoc.dev/v1/verify"
payload = { "document": {} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({document: {}})
};
fetch('https://api.superdoc.dev/v1/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"reason": "<string>",
"signer": "<unknown>",
"signers": "<array>",
"document": {}
}{
"code": "INVALID_FILE_FORMAT",
"error": "Bad Request",
"message": "File is not a valid DOCX",
"requestId": "req_abc123"
}{
"code": "INVALID_FILE_FORMAT",
"error": "Bad Request",
"message": "File is not a valid DOCX",
"requestId": "req_abc123"
}{
"code": "INVALID_FILE_FORMAT",
"error": "Bad Request",
"message": "File is not a valid DOCX",
"requestId": "req_abc123"
}Document Operations
Verify
Verify the signature and integrity of a signed PDF.
Send a JSON request body with:
document: object containing eitherbase64orurl
The response includes verification status, signer information, and document metadata.
POST
/
v1
/
verify
Verify
Body
application/json
Signed PDF provided as either base64 or URL
Was this page helpful?
āI

